﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define e = Character("Eileen")
define pr = Character("Paul Ryan")
define t = Character("Donald Trump")



# The game starts here.


label start:
    #jump committiees
    stop music fadeout 1.0
    play music 'music/dog.mp3'
    python:
        money = 100
        cdone = False
        hdone = False
        sdone = False
        pdone = False
    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.
    scene bg black
    python:
        name = renpy.input("What is your name?")

    scene bg office
    
    with Dissolve(0.5)
    'My name is [name], and I have a problem.'
    python:
        bill = renpy.input('What is the name of your bill?\nEX: "Student Success Act"')
        bill_desc = renpy.input('What does your bill do?\nEX: "support State and local accountability for public education"')
    'To fix this problem, I intend on making a bill called [bill], which aims to [bill_desc].'
    'To do so, I have to get it through the Committees, House of Represenatives, Senate, and finally the President'
    'Although this is a huge task, our government is the best that money can buy, and the people who agree with me have helped me raise $[money]K to *ahem* {i}convince{/i} our leaders to see my way.'
    'Each stage, being the Committiees, House of Represenatives, and the Senate, has 4 major polititians who secretly run the show. I only need to {i}convince{/i} 2 of them to convince the rest, as my voice has a little bit of sway.'
    '(While normally this is not how it works, I had to gamefy this somehow)'
    'I think it is time to get my bill introduced through the House of Represenatives.'
    
     
    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    #show eileen happy
    
    jump bill_introduction
    
    # These display lines of dialogue.


    # This ends the game.

    return

label bill_introduction:

    scene bg house
    with Dissolve(0.5)
    show ryan hands
    pr'We are here today to introduce new bills.'
    pr'The first bill is the [bill] by [name] which aims to [bill_desc].'
    pr'We will now send it to the committiees.'
    jump committiees

label committiees:
    python:
        c1name = "Tyrone Thomas"
        c2name = "John Wick"
        c3name = "Dick Richardson"
        c4name = "Shia Herberts"
        passthresh = 2
    define c1 = Character("c1name",dynamic=True)
    define c2 = Character("c2name",dynamic=True)
    define c3 = Character("c3name",dynamic=True)
    define c4 = Character("c4name",dynamic=True)
    python:
        c1v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)
        
        c2v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)

        c3v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)

        c4v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)

    scene bg comit
    with Dissolve(0.5)
    show c1 happy:
        xalign 0.0
        yalign 1.0
    show c2 happy:
        xalign 0.35
        yalign 1.0        
    show c3 happy:
        xalign 0.65
        yalign 1.0
    show c4 happy:
        xalign 1.0
        yalign 1.0
    c1'We will now be discussing the [bill]'
    c1'This bill aims to [bill_desc]'
    
    show c1 happy:
        xzoom 1.1
        yzoom 1.1
    c1'I like the [bill] [c1v] percent'
    show c1 happy:
        xzoom 1.0
        yzoom 1.0
    show c2 happy:
        xzoom 1.1
        yzoom 1.1
    c2'I like the [bill] [c2v] percent'
    show c2 happy:
        xzoom 1.0
        yzoom 1.0
    show c3 happy:
        xzoom 1.1
        yzoom 1.1
    c3'I like the [bill] [c3v] percent'
    show c3 happy:
        xzoom 1.0
        yzoom 1.0
    show c4 happy:
        xzoom 1.1
        yzoom 1.1
    c4'I like the [bill] [c4v] percent'
    show c4 happy:
        xzoom 1.0
        yzoom 1.0
    python:
        cdone = True
    jump donating

label donating:
    label donations:
        menu:
            'Who to "donate" to? ($[money]K)'
        
            "[c1name]([c1v]\%)":
                python:
                    amount = int(renpy.input("How many thousands (1k for 1% approval)"))
                    if money >= amount:
                        c1v += amount
                        if c1v > 100:
                            c1v = 100
                        money -= amount
                    else:
                        renpy.say(c1,"You don't have enough money")
                jump donations
            "[c2name]([c2v]\%)":
                python:
                    amount = int(renpy.input("How many thousands (1k for 1% approval)"))
                    if money >= amount:
                        c2v += amount
                        if c2v > 100:
                            c2v = 100
                        money -= amount
                    else:
                        renpy.say(c2,"You don't have enough money")
                jump donations
            "[c3name]([c3v]\%)":
                python:
                    amount = int(renpy.input("How many thousands (1k for 1% approval)"))
                    if money >= amount:
                        c3v += amount
                        if c3v > 100:
                            c3v = 100
                        money -= amount
                    else:
                        renpy.say(c3,"You don't have enough money")
                jump donations
            "[c4name]([c4v]\%)":
                python:
                    amount = int(renpy.input("How many thousands (1k for 1% approval)"))
                    if money >= amount:
                        c4v += amount
                        if c4v > 100:
                            c4v = 100
                        money -= amount
                    else:
                        renpy.say(c4,"You don't have enough money")
                jump donations
            "No one further":
                "I'm done with donating here"
    python:
        c = []
        if c1v >= renpy.random.randint(0, 100):
            c.append(True)
            renpy.say(c1, "I vote Yes")
            if renpy.random.randint(0, 100) > 50:
                renpy.say(c1, "I want to [bill_desc]")
        else:
            c.append(False)
            renpy.say(c1, "I vote No")
            
        if c2v >= renpy.random.randint(0, 100):
            c.append(True)
            renpy.say(c2, "I vote Yes")
        else:
            c.append(False)
            renpy.say(c2, "I vote No")
            
        if c3v >= renpy.random.randint(0, 100):
            c.append(True)
            renpy.say(c3, "I vote Yes")
            if renpy.random.randint(0, 100) > 50:
                renpy.say(c3, "I want to [bill_desc]")
        else:
            c.append(False)
            renpy.say(c3, "I vote No")
            
        if c4v >= renpy.random.randint(0, 100):
            c.append(True)
            renpy.say(c4, "I vote Yes")
        else:
            c.append(False)
            renpy.say(c4, "I vote No")
        yes_count = 0
        for i in c:
            if i:
                yes_count += 1
        if yes_count >= passthresh:
            renpy.say(None,"The [bill] passed! Let's go to the next stage!")
            renpy.say(None,'Due to my good work, I have been awarded 50K')
            money += 50
            renpy.jump('move_on')
        else:
            renpy.say(None,"Oh no! The [bill] did not pass! I am a massive failure!")
            renpy.jump('fail')

label house:
    scene bg house
    with Dissolve(0.5)
    'Due to my good work, I have been awarded 50K'
    python:
        money += 50
    python:
        #del c1
        #del c2
        #del c3
        #del c4
        c1name = "Paul Ryan"
        c2name = "Wilson Barnes"
        c3name = "Johnathan Daniels"
        c4name = "Lloyd Hale"
        c1 = Character("Paul Ryan")
        c2 = Character("Wilson Barnes")
        c3 = Character("Johnathan Daniels")
        c4 = Character("Lloyd Hale")
    python:
        c1v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)
        
        c2v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)

        c3v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)

        c4v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)

    show h2 happy:
        xalign 0.0
        yalign 1.0        
    show h3 happy:
        xalign 0.30
        yalign 1.0
    show h4 happy:
        xalign 1.0
        yalign 1.0
    show ryan handss:
        xalign 0.55
        yalign 1.0
    c1'We will now be discussing the [bill]'
    c1'This bill aims to [bill_desc]'
    
    show ryan handss:
        xzoom 1.1
        yzoom 1.1
    c1'I like the [bill] [c1v] percent'
    show ryan handss:
        xzoom 1.0
        yzoom 1.0
    show h2 happy:
        xzoom 1.1
        yzoom 1.1
    c2'I like the [bill] [c2v] percent'
    show h2 happy:
        xzoom 1.0
        yzoom 1.0
    show h3 happy:
        xzoom 1.1
        yzoom 1.1
    c3'I like the [bill] [c3v] percent'
    show h3 happy:
        xzoom 1.0
        yzoom 1.0
    show h4 happy:
        xzoom 1.1
        yzoom 1.1
    c4'I like the [bill] [c4v] percent'
    show h4 happy:
        xzoom 1.0
        yzoom 1.0
    python:
        hdone = True
    jump donating

label senate:

    python:
        #del c1
        #del c2
        #del c3
        #del c4
        c1name = "Mike Pence"
        c2name = "Mitch McConnell"
        c3name = "Bob"
        c4name = "Bernie Sanders"
        c1 = Character("Mike Pence")
        c2 = Character("Mitch McConnell")
        c3 = Character("Bob")
        c4 = Character("Bernie Sanders")
    python:
        c1v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)
        
        c2v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)

        c3v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)

        c4v = renpy.random.randint(0, 50) + renpy.random.randint(0, 50)

    scene bg senate
    with Dissolve(0.5)
    show pence happy:
        xalign -0.2
        yalign 1.0
    show mitch happy:
        xalign 0.35
        yalign 1.0        
    show s3 happy:
        xalign 0.65
        yalign 1.0
    show bernie happy:
        xalign 1.2
        yalign 1.0
    c1'We will now be discussing the [bill]'
    c1'This bill aims to [bill_desc]'
    
    show pence happy:
        xzoom 1.1
        yzoom 1.1
    c1'I like the [bill] [c1v] percent'
    show pence happy:
        xzoom 1.0
        yzoom 1.0
    show mitch happy:
        xzoom 1.1
        yzoom 1.1
    c2'I like the [bill] [c2v] percent'
    show mitch happy:
        xzoom 1.0
        yzoom 1.0
    show s3 happy:
        xzoom 1.1
        yzoom 1.1
    c3'I like the [bill] [c3v] percent'
    show s3 happy:
        xzoom 1.0
        yzoom 1.0
    show bernie happy:
        xzoom 1.1
        yzoom 1.1
    c4'I like the [bill] [c4v] percent'
    show bernie happy:
        xzoom 1.0
        yzoom 1.0
    python:
        sdone = True
    jump donating

label move_on:
    python:
        if cdone:
            cdone = False
            renpy.jump('house')
        if hdone:
            hdone = False
            renpy.jump('senate')
        if pdone:
            renpy.jump('win')
        if sdone:
            sdone = False
            renpy.jump('president')

label president:
    scene bg oval_office
    with Dissolve(0.5)

    show trump happy
    'At last, it is time for the president to look at my bill'
    t"So you're the [name] i've been hearing so much about. They say you bought half of DC!"
    t"I tell you what, I know you like the [bill] because you want to [bill_desc] or whatever, so I'll cut you a sweet deal."
    t"Pay me 100K, and i'll pass your bill. If not, I'll veto it."
    t"If I veto it, you have to go back through the House and Congress, except with 2/3 of the votes."
    menu:
        t"What do you say? (You have [money]K)"
        
        "Deal!":
            python:
                if money >= 100:
                    renpy.say(t,"Excelent, I'll sign it now!")
                    renpy.jump('win')
                else:
                    renpy.say(t,"You don't have enough? I dont have time for poor people!")
                    renpy.jump('vetoed')
        "Go to hell!":
            python:
                renpy.say(t,"That's exactly where your bill is going!.")
                renpy.jump('vetoed')
label vetoed:
    python:
        pdone = True
        passthresh = 3
        cdone = True
        hdone = False
        sdone=False
        renpy.jump('move_on')
label win:
    scene bg office
    with Dissolve(0.5)
    "I can't belive it! My the [bill] actually passed! Finally, we are able to [bill_desc]!"
    'THE END'
    return
label fail:
    scene bg office
    with Dissolve(0.5)
    "I can't belive it! My the [bill] failed! We will never be able to [bill_desc]!"
    'THE END'
        